Description

As a cartographer I love the data defined labels, but sometimes one can't or shouldn't add new fields to the layer.

By duplicating the layer into memory, we can then add all the fields needed (using layer to labeled layer plugin), without the need to

change the original data. Also, it's common to have different projects\\maps with different label settings over the same data.

Easy custom labeling plugin almost does this, but does not clone the geometry of the features, making it useless for curved labels.

Besides this, a "use select features only" could be added. This would also be useful for spatial analysis.

This could be done by adding a new button, or making memory layer provider available in the "save as..." and "save selection as...

dialogs.

There is a old feature request for something similar but it was closed #1947.

History

#1 - 2014-05-21 03:42 AM - Alexandre Neto

I forgot to mention that New Memory Layer is not an option since one would have to replicate all layer's fields, and then copy all the features.

#2 - 2014-05-21 03:44 AM - Nathan Woodrow

There is already the option to Paste selected features as a new Memory Layer in the Edit menu.

#3 - 2014-06-04 02:36 AM - Alexandre Neto

This solves my problem. For me, we can close this feature request.

#4 - 2014-06-04 02:59 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed
